Subject: Re: bug#44610: 27.1; Keyboard Macro Performance Problem

From: Jean Louis <[email-masked]>
Date: Mon, 16 Nov 2020 20:50:47 +0300

* Eli Zaretskii <[email-masked]> [2020-11-16 19:23]:
> > From: Robert Thorpe <[email-masked]>
> > Cc: [email-masked]
> > Date: Sun, 15 Nov 2020 23:44:32 +0000
> > 
> > > I suggest to produce and present a profile of this.  Invoke this macro
> > > after "M-x profiler-start RET RET", then "M-x profiler-report RET",
> > > expand the profile fully by "C-u RET" on the top line, and post the
> > > result here.  That should give some clues.
> > 
> > Here is the report.  I did it in Python-mode using Emacs -Q on Emacs
> > 27.1.  My machine is a Dell 14-3480.  The profile I've got seems to be a
> > bit different to the one Jean Louis got.

I was in empty buffer with python-mode. Maybe you had some python code
already inside? I did not have.